#ifndef SpielServerKlient_H
#define SpielServerKlient_H

#include <Klient.h>
#include <Text.h>

using namespace Network;
using namespace Framework;

class SpielServerKlient : public virtual ReferenceCounter
{
private:
	SSLKlient* k;
	Text* fehler;
	bool verbunden;
	// privat
	bool verbinde(short port, const char* ip);
	bool trenne();

public:
	// Konstruktor
	SpielServerKlient();
	// Destruktor
	~SpielServerKlient();
	// nicht constant
	bool downloadSpielHistorie(short port, const char* ip, int spiel, const char* gpf);
	// constant
	Text* getLetzterFehler() const;
	Text* zLetzterFehler() const;
};

#endif